/*
 * SQL Generator
 * 
 * Copyright (C) 2005 Satoshi Nagashiba, All Rights Reserved.
 */
package org.sql;

import org.sql.exception.GeneratorException;
import org.sql.sample.delete.DeleteSample;
import org.sql.sample.function.FunctionSample;
import org.sql.sample.insert.InsertSample;
import org.sql.sample.join.JoinSample;
import org.sql.sample.join.JoinSample2;
import org.sql.sample.select.SelectSample;
import org.sql.sample.select.SelectSample2;
import org.sql.sample.select.SelectSample3;
import org.sql.sample.select.SelectSample4;
import org.sql.sample.select.SelectSample5;
import org.sql.sample.union.UnionSample1;
import org.sql.sample.union.UnionSample2;
import org.sql.sample.update.UpdateSample;

/**
 * 
 * 
 * @author <a href="mailto:nagashiba.satoshi@opcybe.co.jp">Satoshi Nagashiba</a>
 */
public class SampleMain {

	public static void main(String[] args) {
		try {
		    new SelectSample().println();
		    new SelectSample2().println();
		    new SelectSample3().println();
		    new SelectSample4().println();
		    new SelectSample5().println();
		    new InsertSample().println();
		    new UpdateSample().println();
		    new DeleteSample().println();
		    new JoinSample().println();
		    new JoinSample2().println();
		    new FunctionSample().println();
		    new UnionSample1().println();
		    new UnionSample2().println();
		}
		catch (GeneratorException e) {
			e.printStackTrace();
		}
	}
}
